.\" $NetBSD: sem.4,v 1.2 2005/01/22 05:10:42 snj Exp $
.\"
.\" Copyright (c) 2002 Tim J. Robbins
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" From: FreeBSD: src/share/man/man4/sem.4,v 1.2 2003/06/02 11:19:23 ru
.\"
.Dd January 21, 2005
.Dt SEM 4
.Os
.Sh NAME
.Nm sem
.Nd POSIX semaphores
.Sh SYNOPSIS
To link into the kernel:
.Bd -ragged -offset indent
.Cd "options P1003_1B_SEMAPHORE"
.Ed
.Sh DESCRIPTION
The
.Nm
facility provides system calls used by the standard C library
.Pq libc
to implement
.Tn POSIX
semaphores.
.Sh SEE ALSO
.Xr config 1 ,
.Xr sem_destroy 3 ,
.Xr sem_getvalue 3 ,
.Xr sem_init 3 ,
.Xr sem_open 3 ,
.Xr sem_post 3 ,
.Xr sem_wait 3 ,
.Xr options 4
.Sh HISTORY
The
.Nm
facility appeared as a kernel option in
.Nx 2.0 .
.Sh BUGS
The current implementation does not support shared, unnamed semaphores.
